Subject: Re: .clang-format: how useful, how often used, and how well maintained?

From: Junio C Hamano <[email-masked]>
Date: Fri, 20 Jun 2025 08:19:56 -0700

"brian m. carlson" <[email-masked]> writes:

> I still think that if we're going to have this functionality and expect
> it to be used, we need to make it the default, build appropriate
> tooling, and check it in CI.  If it's not fire-and-forget, people won't
> use it.

There probably needs some balancing act, as I already pointed out,
what clang-format gives often do not make sense, and the point is
that they are not about styles (where we can safely say "no style is
liked by everybody") but about how readable the result is (which
sometimes is subjective but more often it is not).  Until the tool
and its configuration is polished enough, blindly applying the
result with fire-and-forget mentality will degrade the quality of
our codebase.